
Foreman - Bug #2478

smart-variable match by hostgroup label created by 1.1 stopped working 

05/09/2013 03:56 PM - Amos Benari

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Parameters   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In foreman 1.1 matcher by nested hostgroups where based on the hostgroup name.

Now it is based on hostgroup label (including the full path).

A migration is needed to replace matchers content.

For example for a hostgroup base/nested the matcher

hostgroup=nested should be replaced with hostgroup=base/nested

Related issues:

Has duplicate Foreman - Bug #2479: Failed to generate external nodes for <> w... Duplicate 05/09/2013

Associated revisions

Revision 3a96ba00 - 05/12/2013 09:44 AM - Amos Benari

fixes #2478 - smart-variable in ENC stopped working

Revision b826d8de - 05/13/2013 03:32 PM - Amos Benari

fixes #2478 - smart-variable in ENC stopped working

(cherry picked from commit 3a96ba00c7f5c698eb5c9441be69f3f82f263e9a)

History

#1 - 05/12/2013 10:26 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 3a96ba00c7f5c698eb5c9441be69f3f82f263e9a.
